/*  Gtk+ Widget Factory
 *  Copyright (C) 1999-2000  Jeroen Benckhuijsen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef GWF_PROJOPT_H
#define GWF_PROJOPT_H

#ifdef __cplusplus
extern "C" {
#endif

#include <gtk/gtk.h>
#include <gwf_lib.h>

#define GWF_PROJOPT(obj)		GTK_CHECK_CAST(obj, gwf_projopt_get_type (), GwfProjOpt )
#define GWF_PROJOPT_CLASS(klass)	GTK_CHECK_CLASS_CAST(klass, gwf_projopt_get_type (), GwfProjOptClass)
#define GWF_IS_PROJOPT(obj)		GTK_CHECK_TYPE(obj, gwf_projopt_get_type())

typedef struct _GwfProjOpt 		GwfProjOpt;
typedef struct _GwfProjOptClass		GwfProjOptClass;

struct _GwfProjOpt
{
  GtkVBox		parent;
  
  GtkEntry		*author;
  GtkEntry		*email;
  GtkEntry		*license;
  GtkToggleButton	*backup;
  GtkToggleButton	*example;
  GtkEntry		*cfile;
  GtkEntry		*hfile;
  GtkCList		*act_plugs;
  
  GwfProjlist		*projlist;
  GwfLicList		*liclist;
  GdkPixmap		*item_set;
};

struct _GwfProjOptClass
{
  GtkVBoxClass		parent_class;

};

guint		gwf_projopt_get_type 		(void);
GtkWidget*	gwf_projopt_new			(GwfProjlist *projlist,GwfLicList *liclist);
void		gwf_projopt_construct		(GwfProjOpt *projopt,GwfProjlist *projlist,GwfLicList *liclist);


#ifdef __cplusplus
}
#endif

#endif

