/*  Gtk+ Widget Factory
 *  Copyright (C) 1999-2000  Jeroen Benckhuijsen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef GWF_LICENSE_H
#define GWF_LICENSE_H

#ifdef __cplusplus
extern "C" {
#endif

#include <gtk/gtk.h>

typedef struct _GwfLicense	GwfLicense;
typedef struct _GwfLicList	GwfLicList;
typedef void	(*GwfLicenseForeachFunc)	(GwfLicense *license,gpointer user_data);

struct _GwfLicense
{
  gchar		*name;
  gchar		*text;
};

struct _GwfLicList
{
  GHashTable	*licenses;
  gchar		*std;
};

GwfLicense*	gwf_license_new		(gchar *name);
void		gwf_license_free	(GwfLicense *license);
void		gwf_license_set_text	(GwfLicense *license,gchar *txt);

GwfLicList*	gwf_liclist_new		(void);
void		gwf_liclist_free	(GwfLicList *liclist);
void		gwf_liclist_insert	(GwfLicList *liclist,GwfLicense *license);
void		gwf_liclist_remove	(GwfLicList *liclist,gchar *name);
GwfLicense*	gwf_liclist_get		(GwfLicList *liclist,gchar *name);
gint		gwf_liclist_set_std	(GwfLicList *liclist,gchar *name);
void		gwf_liclist_foreach	(GwfLicList *liclist,GwfLicenseForeachFunc func,gpointer user_data);

#ifdef __cplusplus
}
#endif

#endif
